﻿.tabHeader {
    font-size: 2.5vh;
}

.ColumnsContainer {
    height: 89vh;
    width: 100%;
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    box-sizing: border-box;
}

#ColumnRegistre {
    display: inline-flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    width: 26vw;
}

.ContainerTitleRow {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-bottom: 2vh;
}

.ContainerTitle {
    font-size: 1.5vw;
    font-variant: small-caps;
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    text-shadow: 1px 1px grey;
    flex-grow: 1;
}

.EndOfSection {
    width: 100%;
    display: inline-block;
    box-sizing: border-box;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: lightgray;
    margin-top: 2vh;
    margin-bottom: 2vh;
}

.Lecteur, .Commande, .SujetRch {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
    margin-top: 0.5vh;
    padding: 0.3vh;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
    cursor: pointer;
}

.LecteurLigne {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
}

.Lecteur {
    flex-direction: column;
}

.LecteurReservationsButton {
    width: 100%;
    margin-top: 0.5vh;
    font-family: Georgia;
}

.SujetRch {
    min-height: 5vh;
}

    .Lecteur:first-of-type, .Commande:first-of-type, .SujetRch:first-of-type {
        margin-top: 0;
    }

    .Lecteur:hover, .Commande:hover, .SujetRch:hover {
        background-color: white;
    }

#NouvelleCommandeDernieres .Commande {
    cursor: default !important;
}

    #NouvelleCommandeDernieres .Commande:hover {
        background-color: inherit;
    }

.LecteurTexte, .CommandeTexte, .SujetRchTexte {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    flex-grow: 1;
    margin: 0 0.5vw;
}

#RegistreListeContainer .LecteurTexte, .SujetRchTexte {
}

.CommandeTexte {
    width: 74%;
}

.CommandesIconesContainer {
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    box-sizing: border-box;
}

    .CommandesIconesContainer:first-of-type {
        justify-content: flex-start;
        width: 18%;
    }

    .CommandesIconesContainer:last-of-type {
        justify-content: flex-end;
        width: 8%;
    }

.LecteurDansRegistreIcone, .CommandeDansFicheLecteurIcone, .SujetRchIcone, .LecteurTrash, .CommandeTrash, .SujetRchTrash, .LecteurInfo {
    width: 1.5vw;
    margin-left: 0.2vw;
    flex-shrink: 0;
    opacity: 0.5;
}

.LecteurTrash, .CommandeTrash, .SujetRchTrash {
    visibility: hidden;
}

#RegistreListeContainer .LecteurLigne:hover .LecteurTrash, .Commande:hover .CommandeTrash, .SujetRch:hover .SujetRchTrash {
    visibility: visible;
    opacity: 1;
}

.LecteurInfo:hover, #RechercheLecteurListeResultats .LecteurDansRegistreIcone:hover {
    opacity: 1 !important;
}

.CommandeIDBox {
    margin-left: 0.2vh;
    writing-mode: vertical-lr;
    text-orientation: mixed;
    font-size: 0.8vh;
    display: inline-block;
}

.LecteurNomPrenom, .SujetRchDescription, .CommandeLigne1 {
    font-size: 1.8vh;
    text-align: justify;
}

.LecteurNom {
    font-variant: small-caps;
}

.LecteurEmail, .CommandeInfoSupp, .SujetRchDate, .CommandeLigne2 {
    margin-top: 0.5vh;
    font-size: 1.4vh;
    height: 1.6vh;
    overflow: hidden;
}
